NetPacket::ICMP(3)

NAME
"NetPacket::ICMP" - Assemble and disassemble ICMP (Internet Control Message Protocol) packets.

SYNOPSIS
  use NetPacket::ICMP;

  $icmp_obj = NetPacket::ICMP->decode($raw_pkt);
  $icmp_pkt = NetPacket::ICMP->encode();
  $icmp_data = NetPacket::ICMP::strip($raw_pkt);

DESCRIPTION
"NetPacket::ICMP" provides a set of routines for assembling and disassembling packets using ICMP (Internet Control Message Protocol).

  Methods

"NetPacket::ICMP->decode([RAW PACKET])"
    Decode the raw packet data given and return an object containing instance data. This method will quite happily decode garbage input. It is the responsibility of the programmer to ensure valid packet data is passed to this method.

"NetPacket::ICMP->encode()"
    Return an ICMP packet encoded with the instance data specified.

  Functions

"NetPacket::ICMP::strip([RAW PACKET])"
    Return the encapsulated data (or payload) contained in the ICMP packet.

  Instance data
The instance data for the "NetPacket::ICMP" object consists of the following fields.

type
    The ICMP message type of this packet.

code
    The ICMP message code of this packet.

cksum
    The checksum for this packet.

data
    The encapsulated data (payload) for this packet.

  Exports

default
    none

exportable
    Icmp message types:
        ICMP_ECHOREPLY ICMP_UNREACH ICMP_SOURCEQUENCH
        ICMP_REDIRECT ICMP_ECHO ICMP_ROUTERADVERT
        ICMP_ROUTERSOLICIT ICMP_TIMXCEED ICMP_PARAMPROB
        ICMP_TSTAMP ICMP_TSTAMPREPLY ICMP_IREQ ICMP_IREQREPLY
        ICMP_MASKREQ ICMP_MASKREPLY

tags
    The following tags group together related exportable items.

    ":strip"
        Import the strip function "icmp_strip".

    ":ALL"
        All the above exportable items.

EXAMPLE

TODO

Create constants
Write example

COPYRIGHT
  Copyright (c) 2001 Tim Potter.

  This package is free software and is provided "as is" without express
  or implied warranty.  It may be used, redistributed and/or modified
  under the terms of the Perl Artistic License (see
  http://www.perl.com/perl/misc/Artistic.html)

  Copyright (c) 1995,1996,1997,1998,1999 ANU and CSIRO on behalf of
  the participants in the CRC for Advanced Computational Systems
  ('ACSys').

  ACSys makes this software and all associated data and documentation
  ('Software') available free of charge.  You may make copies of the
  Software but you must include all of this notice on any copy.

  The Software was developed for research purposes and ACSys does not
  warrant that it is error free or fit for any purpose.  ACSys
  disclaims any liability for all claims, expenses, losses, damages
  and costs any user may incur as a result of using, copying or
  modifying the Software.

AUTHOR
Tim Potter <tpot@samba.org>

Stephanie Wehner <atrak@itsx.com>